Subject: Re: [PATCH] gnu: perf-tools: Patch executable paths

From: Olivier Dion <[email-masked]>
Date: Sat, 06 Aug 2022 10:45:07 -0400

On Sat, 06 Aug 2022, Mathieu Othacehe <[email-masked]> wrote:
> Hello Olivier,
>
>> * gnu/packages/instrumentation.scm (perf-tools): Add patch phase.
>> [phases]: Add patch-paths.
>
> Somehow I still have the same error. Here a complete report:

Right.  There's still a problem with kprobe and execsnoop.  However,
this patch does fix some other scripts that are using awk and getconf.

> Any idea why?

The only thing I can think of is that the symbol used by execsnoop for
instrumenting the kernel was changed and is not in /proc/kallsyms.  I'll
try to dig that later this week.

-- 
Olivier Dion
oldiob.dev